From efee4ebf43e376a7cd8b8abcef0c70aa90427bb4 Mon Sep 17 00:00:00 2001
From: davidovski <david@davidovski.xyz>
Date: Tue, 1 Mar 2022 22:01:26 +0000
Subject: initial commit

---
 s6/base/scripts/runlevel | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)
 create mode 100755 s6/base/scripts/runlevel

(limited to 's6/base/scripts/runlevel')

diff --git a/s6/base/scripts/runlevel b/s6/base/scripts/runlevel
new file mode 100755
index 0000000..d266171
--- /dev/null
+++ b/s6/base/scripts/runlevel
@@ -0,0 +1,18 @@
+#!/bin/sh -e
+
+### This script is called once at boot time by rc.init, and is
+### also called by the runleveld service every time the user
+### requests a machine state change via telinit.
+### Ideally, it should just be a call to the service manager.
+
+test "$#" -gt 0 || { echo 'runlevel: fatal: too few arguments' 1>&2 ; exit 100 ; }
+
+
+### If your services are managed by sysv-rc:
+# exec /etc/init.d/rc "$1"
+
+### If your services are managed by OpenRC:
+# exec /sbin/openrc "$1"
+
+### If your services are managed by s6-rc:
+exec s6-rc -v2 -up change "$1"
-- 
cgit v1.2.1